summaryrefslogtreecommitdiff
path: root/sh/rc-cgroup.sh.in
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2013-09-25 20:05:41 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2013-10-02 05:43:51 -0500
commita530722f653e13407ac0638cfcad8e938f602493 (patch)
treeef3f6f0f9cc9bd89a25d64c29b1c59622229aa89 /sh/rc-cgroup.sh.in
parent661e9cf00211b712c3d88b8e3a18a40906f22468 (diff)
downloadopenrc-5f27af3bdba6a66e8504c3c6668ee582c12cc5d9.tar.gz
openrc-5f27af3bdba6a66e8504c3c6668ee582c12cc5d9.tar.bz2
openrc-5f27af3bdba6a66e8504c3c6668ee582c12cc5d9.tar.xz
fix cgroup_cleanup functionopenrc-0.12.1
The yesno test for rc_cgroup_cleanup belongs at the point where this function is called from runscript, not in the function itself. X-Gentoo-Bug: 486210 X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=486210
Diffstat (limited to 'sh/rc-cgroup.sh.in')
-rw-r--r--sh/rc-cgroup.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/rc-cgroup.sh.in b/sh/rc-cgroup.sh.in
index 9329b57..b635340 100644
--- a/sh/rc-cgroup.sh.in
+++ b/sh/rc-cgroup.sh.in
@@ -116,7 +116,7 @@ cgroup_set_limits()
cgroup_cleanup()
{
- yesno "${rc_cgroup_cleanup:-no}" && cgroup_running || return 0
+ cgroup_running || return 0
ebegin "starting cgroups cleanup"
for sig in TERM QUIT INT; do
cgroup_get_pids || { eend 0 "finished" ; return 0 ; }